Package org.jboss.resteasy.spi.util

## Class FindAnnotation

- java.lang.Object
- - org.jboss.resteasy.spi.util.FindAnnotation

-     public final class FindAnnotation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> T` | `findAnnotation​(Annotation[] searchList, Class<T> annotation)` | Finds annotation.
    `static <T> T` | `findAnnotation​(Annotation[] searchList, String... annotations)` | Finds annotation.
    `static <T extends Annotation> T` | `findAnnotation​(Class<?> type, Annotation[] annotations, Class<T> annotation)` | Look for an annotation in a list of annotations.
    `static Class<? extends Annotation>[]` | `findJaxRSAnnotations​(Annotation[] searchList)` |
    `static Annotation[]` | `getResourcesAnnotations​(Method method)` | Returns an array of annotations the specified method of a resource class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### findAnnotation

          public static <T> T findAnnotation​(Annotation[] searchList,
                                             Class<T> annotation)

      Finds annotation.
      Type Parameters:
        `T` - type
      Parameters:
        `searchList` - array of annotations
        `annotation` - expected annotation class
      Returns:
        annotation or null

    - #### findAnnotation

          public static <T> T findAnnotation​(Annotation[] searchList,
                                             String... annotations)

      Finds annotation.
      Type Parameters:
        `T` - type
      Parameters:
        `searchList` - array of annotations
        `annotations` - expected annotations
      Returns:
        annotation or null

    - #### findJaxRSAnnotations

          public static Class<? extends Annotation>[] findJaxRSAnnotations​(Annotation[] searchList)

    - #### getResourcesAnnotations

          public static Annotation[] getResourcesAnnotations​(Method method)

      Returns an array of annotations the specified method of a resource class.
      Parameters:
        `method` - method
      Returns:
        array of annotations

    - #### findAnnotation

          public static <T extends Annotation> T findAnnotation​(Class<?> type,
                                                                Annotation[] annotations,
                                                                Class<T> annotation)

      Look for an annotation in a list of annotations. If not there, see if it is on the type provided.
      Type Parameters:
        `T` - type
      Parameters:
        `type` - type class
        `annotations` - array of annotations
        `annotation` - expected annotation
      Returns:
        annotation or null